<%
/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.FlLocale" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.EMailOutServerBean" id="EMailOutServer" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
FlLocale local = FlLocale.getInstance(session);
String id = null;
try {
    id = EMailOutServer.getID();
} catch (FieldNotInitializedException fnie) {
}

String type = null;
try {
    type = EMailOutServer.getEosType();
} catch (FieldNotInitializedException fnie) {
}

String refEDealHubID = dico.getRefIdByCode("Eos", "Te1", "EDEALHUB");
Boolean isHubConnection = ((type != null) && (type.equals(refEDealHubID)));

%>
<script language="JavaScript" src="<fl:webapp/>/js/checkFields.jsp"></script>
<script type="text/javascript" language="javascript">

function doSubmit() {
	var f = document.forms[0];
	if (f.EosName.value == '') {
		document.getElementById('EosName_msg').style.display = "inline";
		alert('<fl:getMessage code="L63B1" alt="Veuillez saisir un nom" js="true"/>');
		f.EosName.focus();
		return false;
	}
	if (f.EosSmtpAdress.value == "" && $("#smtp_bloc").css("display") == "table") {
		alert('<fl:getMessage code="L705E" alt="Veuillez saisir une adresse serveur" js="true"/>');
		f.EosSmtpAdress.focus();
		return false;
	}
	return true;    
}
function doCheck(radio) {
	if (radio.value == '<%= refEDealHubID %>') {
		$("#smtp_bloc").hide();
		$("#EosSmtpAdress").removeClass('chpsTextObligatoire');
	} else {
		$("#smtp_bloc").show();
		$("#EosSmtpAdress").addClass('chpsTextObligatoire');
		$("#EosSmtpAdress").val("");
		$("#EosLogin").val("");
		$("#EosPwd").val("");
	}
}

$(document).ready(function() {
	<% if (!isHubConnection) { %>
	$("#EosSmtpAdress").addClass('chpsTextObligatoire');
	<% } %>
})
</script>
<fl:form action="/save_emailoutserver.fl" bean="EMailOutServer">
<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"L7051\", false, true, \"Serveurs d\'envoi e-mailing\")%>" ou="<%= \"/edit_emailoutserver.fl\" + (id != null ? \"?id=\" + id : \"\")%>">
		<table class="container" cellpadding="0">
			<tr>
				<td colspan="5">
					<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="labelTitreFiche">
								<fl:label field="EosName" labelClassName="titreFiche"/>
							</td>
							<td class="fieldTitreFiche">
								<fl:input property="EosName" mandatoryMsgCode="M0022"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td colspan="5" class="ligne_separation"/></tr>
		</table>
 		<table class="container" cellpadding="0">
			<fl:fieldEdit property="EosType" type="buttons" onclick="doCheck(this);"/>
		</table>	
		<table class="container" cellpadding="0" id="smtp_bloc" style="<%= isHubConnection ? "display: none;" : "display: table;" %>">
			<fl:fieldEdit property="EosSmtpProtocol"/>
			<fl:fieldEdit property="EosSmtpAdress"/>
			<fl:fieldEdit property="EosLogin"/>
			<fl:fieldEdit property="EosPwd"/>					
		</table>
 </fl:bigTabs>
</fl:form>
